Gantry::Stash::View::Form(3)

NAME
Gantry::Stash::View::Form - Stash object for the view's form

SYNOPSIS
    $self->stash->view->form( { } );

DESCRIPTION
This module manages the form contents for Gantry::Plugins::AutoCRUD and Gantry::Plugins::CRUD, see their docs for details of what goes into the hash.

METHODS

new Pass in a proper hash suitable for use by one of the crud plugins. It will be blessed into this class.

results
    Used by add/edit templates to track form validation violations.

error_text
    Not currently used.

message
    Used by some templates for question text to present to the user.

SEE ALSO
Gantry::Plugins::AutoCRUD(3), Gantry(3), Gantry::Stash(3)

LIMITATIONS

AUTHOR
Phil Crow <pcrow@sunflowerbroadband.com>

Tim Keefer <tkeefer@gmail.com>

COPYRIGHT and LICENSE
Copyright (c) 2005, Phil Crow.

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.8.6 or, at your option, any later version of Perl 5 you may have available.